> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新組件

> 更新嵌入式組件的名稱、狀態、關聯密鑰、外觀、行為、安全或意圖配置。

## 身份驗證

需要 Bearer 令牌(API 密鑰)或儀表盤會話。

## 路徑參數

<ParamField path="id" type="string" required>
  該組件配置的 UUID。
</ParamField>

## 請求

所有字段均為可選 — 僅需包含你想要修改的字段。

<ParamField body="name" type="string">
  組件的顯示名稱。
</ParamField>

<ParamField body="status" type="string">
  `"active"` 或 `"disabled"`。
</ParamField>

<ParamField body="api_key_id" type="string">
  將該組件重新關聯到另一個 API 密鑰。
</ParamField>

<ParamField body="appearance" type="object">
  視覺自定義設置(`primaryColor`、`position`、`borderRadius`、`fontFamily` 等)。
</ParamField>

<ParamField body="behavior" type="object">
  行為設置(`welcomeMessage`、`placeholder`、`maxPromptLength`、`enableFileUpload`、`enableVoice`、`strictAbuse`)。
</ParamField>

<ParamField body="security" type="object">
  安全設置:機器人防護開關以及域名允許列表(`allowedOrigins`/`allowedDomains`)。
</ParamField>

<ParamField body="intent" type="object">
  人工升級意圖配置(自定義關鍵詞觸發條件與操作)。
</ParamField>

## 響應

<ResponseField name="iframe" type="object">
  更新後的組件配置。
</ResponseField>

## 示例

```bash curl theme={null}
curl -X PATCH https://www.hitheo.ai/api/v1/iframes/CONFIG_ID \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "status": "disabled" }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.